Summary:	An SSLv3/TLS network protocol analyzer
Name:		ssldump
Version:	0.9
Release:	0.2.b3%{?dist}
License:	BSD with advertising
Group:		Applications/Internet
URL:		http://www.rtfm.com/%{name}/
Source0:	http://www.rtfm.com/%{name}/%{name}-%{version}b3.tar.gz
Source1:	README.FEDORA
Patch0:		ssldump-0.9-openssl.patch
Patch1:		ssldump-0.9-libpcap.patch
Patch2:		ssldump-0.9-aes.patch
Patch3:		ssldump-0.9-cvs-20060619.patch
BuildRequires:	openssl-devel, %{_includedir}/pcap.h, autoconf, automake
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This program is an SSLv3/TLS network protocol analyzer. It identifies TCP
connections on the chosen network interface and attempts to interpret them
as SSLv3/TLS traffic. When ssldump identifies SSLv3/TLS traffic, ssldump
decodes the records and displays them in a textual form to stdout. And if
provided with the appropriate keying material, ssldump will also decrypt
the connections and display the application data traffic. This program is
based on tcpdump, a network monitoring and data acquisition tool.

%prep
%setup -q -n %{name}-%{version}b3
%patch0 -p1 -b .openssl
%patch1 -p1 -b .libpcap
%patch2 -p1 -b .aes
%patch3 -p1 -b .cvs-20060619
cp -pf %{SOURCE1} .

# Rebuilding of configure file is needed for Patch1
autoconf --force

# Copying config.{guess,sub} is required for x86_64
cp -pf %{_datadir}/automake-*/config.{guess,sub} .

%build
%configure \
  --with-pcap-inc=%{_includedir} --with-pcap-lib=%{_libdir} \
  --with-openssl-inc=%{_includedir} --with-openssl-lib=%{_libdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install BINDIR="$RPM_BUILD_ROOT%{_sbindir}" \
  MANDIR="$RPM_BUILD_ROOT%{_mandir}" INSTALL='install -p'

# Correct permissions
chmod 644 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYRIGHT CREDITS README README.FEDORA
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Apr 06 2010 Robert Scheck <robert@fedoraproject.org> 0.9-0.2.b3
- Added a patch to support AES cipher-suites (#248813 #c5)
- Added backporting patch from CVS 2006-06-19 (#248813 #c5)

* Sat Jan 23 2010 Robert Scheck <robert@fedoraproject.org> 0.9-0.1.b3
- Upgrade to 0.9b3
- Initial spec file for Fedora and Red Hat Enterprise Linux
